Bug 492201 - Review Request: tootaudioservers - Toot2 Audio Server
Review Request: tootaudioservers - Toot2 Audio Server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On: 492197
Blocks: 492203
  Show dependency treegraph
 
Reported: 2009-03-25 16:42 EDT by Orcan Ogetbil
Modified: 2009-06-30 17:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3-0.1.beta2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-27 13:59:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-25 16:42:02 EDT
Spec URL: http://oget.fedorapeople.org/review/tootaudioservers.spec
SRPM URL: http://oget.fedorapeople.org/review/tootaudioservers-2.0-1.64svn.fc10.src.rpm
Description: 
Tootaudioservers provides access to audio hardware using various
implementations of the toot2 project AudioServer and
AudioServerConfiguration interfaces. Various JavaSound implementations are
supplied as services.


rpmlint:
tootaudioservers.x86_64: W: no-documentation

but upstream provides no doc files.
Comment 1 Orcan Ogetbil 2009-04-15 23:02:42 EDT
Spec URL: http://oget.fedorapeople.org/review/tootaudioservers.spec
SRPM URL:
http://oget.fedorapeople.org/review/tootaudioservers-2.0-2.64svn.fc10.src.rpm

Changelog: 2.0-2.64svn
- Don't build AOT bits (this package requires java > 1.5)
Comment 2 Orcan Ogetbil 2009-04-27 00:43:16 EDT
New upstream version in conjunction with toot2

Spec URL: http://oget.fedorapeople.org/review/tootaudioservers.spec
SRPM URL: http://oget.fedorapeople.org/review/tootaudioservers-3-0.1.beta2.fc10.src.rpm

Changelog: 3-0.1.beta2
- Update to 3beta2
Comment 3 Orcan Ogetbil 2009-06-07 21:21:34 EDT
Builds in koji rawhide:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1398081
Comment 4 Rakesh Pandit 2009-06-08 00:58:48 EDT
will review shortly
Comment 5 Rakesh Pandit 2009-06-24 06:59:55 EDT
Builds fine.

Package looks fine to me except .. add it a script or few commands in spec itself via which you extracted tarball from cvs and removed unnecessary files.

Thanks,

package naming -- done
api-subpackage -- done
debuginfo -- done

package naming - fine
spec file language -- sane
spec file -  legible

md5sum matches -- done
Compiles -- successfully

Build on koji

rpmlint output - mentioned
buildrequires - fine
%files - fine
-doc package - fine
Comment 6 Orcan Ogetbil 2009-06-24 12:02:01 EDT
(In reply to comment #5)
> Builds fine.
> 
> Package looks fine to me except .. add it a script or few commands in spec
> itself via which you extracted tarball from cvs and removed unnecessary files.
> 

Thanks,

Actually that is what the Source9: %{name}-snapshot.sh is for. I find it easier to use this script to fetch the sources.

I remove the unnecessary files (the bundled prebuilt .so files) in %prep so that the snapshot tarball matches what upstream gives. Also I'd like to keep the fetch script as plain as possible and do my business in the spec file.
Comment 7 Rakesh Pandit 2009-06-25 03:32:20 EDT
APPROVED.
Comment 8 Orcan Ogetbil 2009-06-25 21:22:37 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: tootaudioservers
Short Description: Toot2 Audio Server
Owners: oget
Branches: F-10 F-11
InitialCC:
Comment 9 Jason Tibbitts 2009-06-25 21:34:12 EDT
CVS done.
Comment 10 Fedora Update System 2009-06-26 01:07:28 EDT
tootaudioservers-3-0.1.beta2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tootaudioservers-3-0.1.beta2.fc11
Comment 11 Fedora Update System 2009-06-26 01:08:34 EDT
tootaudioservers-3-0.1.beta2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tootaudioservers-3-0.1.beta2.fc10
Comment 12 Orcan Ogetbil 2009-06-27 13:59:16 EDT
Package in rawhide now. Thanks.
Comment 13 Fedora Update System 2009-06-30 17:26:26 EDT
tootaudioservers-3-0.1.beta2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-06-30 17:29:25 EDT
tootaudioservers-3-0.1.beta2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.